___itt_thread_info Struct Reference

`#include <ittnotify_config.h>`

Collaboration diagram for ___itt_thread_info:

## Public Attributes

const char * | nameA
void * | nameW
TIDT | tid
__itt_thread_state | state
int | extra1
void * | extra2
struct ___itt_thread_info * | next

## Detailed Description

Definition at line 371 of file ittnotify_config.h.

## Member Data Documentation

## extra1

int ___itt_thread_info::extra1

Reserved to the runtime

Definition at line 381 of file ittnotify_config.h.

## extra2

void* ___itt_thread_info::extra2

Reserved to the runtime

Definition at line 382 of file ittnotify_config.h.

## nameA

const char* ___itt_thread_info::nameA

Copy of original name in ASCII.

Definition at line 373 of file ittnotify_config.h.

## nameW

void* ___itt_thread_info::nameW

Definition at line 377 of file ittnotify_config.h.

## next

struct ___itt_thread_info* ___itt_thread_info::next

Definition at line 383 of file ittnotify_config.h.

## state

__itt_thread_state ___itt_thread_info::state

Thread state (paused or normal)

Definition at line 380 of file ittnotify_config.h.

## tid

TIDT ___itt_thread_info::tid

Definition at line 379 of file ittnotify_config.h.

The documentation for this struct was generated from the following file:

- ittnotify_config.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.